org.apache.poi.poifs.crypt.binaryrc4

## Class BinaryRC4EncryptionHeader

- java.lang.Object
- - org.apache.poi.poifs.crypt.EncryptionHeader
  - - org.apache.poi.poifs.crypt.binaryrc4.BinaryRC4EncryptionHeader

- All Implemented Interfaces:
    Duplicatable, GenericRecord, EncryptionRecord

      public class BinaryRC4EncryptionHeader
      extends EncryptionHeader
      implements EncryptionRecord

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.poifs.crypt.EncryptionHeader

      `ALGORITHM_AES_128, ALGORITHM_AES_192, ALGORITHM_AES_256, ALGORITHM_RC4, HASH_NONE, HASH_SHA1, HASH_SHA256, HASH_SHA384, HASH_SHA512, MODE_CBC, MODE_CFB, MODE_ECB, PROVIDER_AES, PROVIDER_RC4`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BinaryRC4EncryptionHeader()`
    `protected` | `BinaryRC4EncryptionHeader(BinaryRC4EncryptionHeader other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BinaryRC4EncryptionHeader` | `copy()`
    `void` | `write(LittleEndianByteArrayOutputStream littleendianbytearrayoutputstream)`

    - ### Methods inherited from class org.apache.poi.poifs.crypt.EncryptionHeader

      `getBlockSize, getChainingMode, getCipherAlgorithm, getCipherProvider, getCspName, getFlags, getGenericProperties, getHashAlgorithm, getKeySalt, getKeySize, getSizeExtra, setBlockSize, setChainingMode, setCipherAlgorithm, setCipherProvider, setCspName, setFlags, setHashAlgorithm, setKeySalt, setKeySize, setSizeExtra`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren, getGenericRecordType`

- - ### Constructor Detail

    - #### BinaryRC4EncryptionHeader

          protected BinaryRC4EncryptionHeader()

    - #### BinaryRC4EncryptionHeader

          protected BinaryRC4EncryptionHeader(BinaryRC4EncryptionHeader other)

  - ### Method Detail

    - #### write

          public void write(LittleEndianByteArrayOutputStream littleendianbytearrayoutputstream)

      Specified by:
        `write` in interface `EncryptionRecord`

    - #### copy

          public BinaryRC4EncryptionHeader copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `EncryptionHeader`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.